﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Start Conversion from Javascript - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Start Conversion from Javascript Sample for VB.NET/ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "convert from javascript, pdf library, sample code, html to pdf, pdf converter"
end code

@Using (Html.BeginForm("SubmitAction", "ConvertFromJs", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Start Conversion from Javascript - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to manually start the html to pdf conversion of the SelectPdf Library for .NET using a Javascript call.
                <br />
                <br />
                SelectPdf exposes a global Javascript variable called <i>selectpdf</i> in the page that is being converted. Using this variable you can check if the javascript code
                is executed inside the converter (check if <i>typeof(selectpdf) == "object"</i>). The converter version can also be checked using <i>selectpdf.version</i>.
                <br />
                <br />
                The most important feature of the Javascript interface is the possibility to manually start the page conversion to pdf with a javascript call. To do that, you must:
                <br />
                1. Set <i>converter.Options.StartupMode = StartupMode.Manual</i><br />
                2. Call <i>selectpdf.start()</i> from javascript
                <br />
                <br />
                Important:<br />
                - If <i>converter.Options.StartupMode</i> is set to <i>StartupMode.Manual</i> and <i>selectpdf.start()</i> is not called from javascript, the conversion will timeout.<br />
                - If <i>converter.Options.StartupMode</i> is set to the default value <i>StartupMode.Automatic</i>, the conversion will start without waiting for any javascript calls.
                <br />
                <br />
                Below it's the link to a test page that waits for 3 seconds after it loads and then calls the javascript conversion method.
                Converting it in <i>StartupMode.Manual</i> mode will display the time elapsed. Converting it in <i>StartupMode.Automatic</i> mode will not show that 3 seconds time interval.
                <br />
                <br />
                <a href="@ViewData("ViewTxtHref")"  target="_blank" id="LnkTest">Test Page</a>
            </p>
            <p>
                Url:<br />
                @Html.TextBox("TxtUrl", If(ViewData("ViewTxtUrl") <> Nothing, ViewData("ViewTxtUrl").ToString(), String.Empty), New With {Key .[style] = "width: 90%;"})
            </p>
            <div class="col2">
                Conversion start mode:<br />
                @Html.DropDownList("DdlStartupMode", DirectCast(ViewData("ViewDdlStartupMode"), List(Of SelectListItem)))
                <br />
            </div>
            <div class="col2">
                Timeout:<br />
                <input type="text" value="10" name="TxtTimeout" style="width: 50px;" /> seconds<br />
                <br />
            </div>
            <div class="col-clear"></div>
            <p>
                <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>



End Using
    