﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Library for .NET - VB.NET / ASP.NET MVC Razor Samples"
    ViewBag.Description = "SelectPdf Samples for VB.NET and ASP.NET MVC with Razor Views. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf library, sample code, html to pdf, pdf converter, pdf to text, pdf to image converter"
End Code

<article class="post type-post status-publish format-standard hentry">
    <header class="entry-header">
        <h1 class="entry-title">SelectPdf for .NET - Pdf Library for .NET - VB / ASP.NET MVC Samples</h1>
    </header>
    <!-- .entry-header -->

    <div class="entry-content">
        <p>
            <a href="http://selectpdf.com" title="Pdf Library for .NET">SelectPdf for .NET</a> is a powerful component that contains features to create, edit,
            read and manipulate PDF documents in .NET Framework applications.
            SelectPdf does not have any 3rd party dependencies and does not need users to install Adobe software to be able to create PDF documents.
        </p>
        <p>

        </p>
        <div class="col2">
            <h3>Pdf Creation Basics</h3>
            <nav class="nav-single">
                <a href="~/GettingStarted" title="Getting Started with SelectPdf Library for .NET">Getting Started</a><br/>
                <a href="~/DocumentProperties" title="Document Properties Settings - SelectPdf Library for .NET">Document Properties</a><br/>
                <a href="~/PdfViewerPreferences" title="Pdf Viewer Settings - SelectPdf Library for .NET">Pdf Viewer Preferences</a><br/>
                <a href="~/PageSettings" title="Pdf Page Settings - SelectPdf Library for .NET">Pdf Page Settings</a><br/>
                <a href="~/PdfSecurity" title="Pdf Security Settings - SelectPdf Library for .NET">Pdf Security Settings</a><br/>
                <a href="~/PdfElementsPositions" title="Pdf Elements Rendering Positions - SelectPdf Library for .NET">Pdf Elements Rendering Positions</a><br/>
                <a href="~/PdfTextElement" title="Pdf Text Element Properties - SelectPdf Library for .NET">Pdf Text Element Properties</a><br/>
                <a href="~/PdfImageElement" title="Pdf Image Element Properties - SelectPdf Library for .NET">Pdf Image Element Properties</a><br/>
                <a href="~/PdfHtmlElement" title="Pdf Html Element Properties - SelectPdf Library for .NET">Pdf Html Element</a><br/>
                <a href="~/GraphicElements" title="Pdf Graphic Elements - SelectPdf Library for .NET">Pdf Graphic Elements</a><br/>
                <a href="~/PdfLinks" title="Pdf Internal and External Links - SelectPdf Library for .NET">Pdf Links</a><br/>
                <a href="~/PdfBookmarks" title="Pdf Bookmarks - SelectPdf Library for .NET">Pdf Bookmarks</a><br/>
            </nav>

            <h3>Advanced Topics</h3>
            <nav class="nav-single">
                <a href="~/PdfTemplates" title="SelectPdf Library for .NET - Pdf Templates">Pdf Templates</a><br/>
                <a href="~/HeadersAndFooters" title="SelectPdf Library for .NET - Pdf Document Headers and Footers">Headers and Footers</a><br/>
                <a href="~/PdfStamps" title="SelectPdf Library for .NET - Pdf Stamps">Pdf Stamps</a><br/>
                <a href="~/PdfWatermarks" title="SelectPdf Library for .NET - Pdf Watermarks">Pdf Watermarks</a><br/>
                <a href="~/PageNumbering" title="SelectPdf Library for .NET - Page Numbering">Page Numbering</a><br/>
                <a href="~/PdfMerge" title="SelectPdf Library for .NET - Pdf Merge">Pdf Merge</a><br/>
                <a href="~/PdfSplit" title="SelectPdf Library for .NET - Pdf Split">Pdf Split</a><br/>
                <a href="~/DigitalSignatures" title="SelectPdf Library for .NET - Digital Signatures">Digital Signatures</a><br/>
                <a href="~/ModifyExistingPdf" title="SelectPdf Library for .NET - Modify Existing Pdf Documents">Modify Existing Pdf</a><br/>
                <a href="~/PdfCompression" title="SelectPdf Library for .NET - Pdf Compression">Pdf Compression</a><br/>
                <a href="~/AdvancedPdfSecurity" title="Advanced Pdf Security Settings and Digital Signatures - SelectPdf Library for .NET">Advanced Security Settings</a><br/>
                <a href="~/PdfFormFilling" title="Pdf Form Filling - SelectPdf Library for .NET">Form Filling</a><br/>
                <a href="~/PdfPortfolio" title="Pdf Portfolio - SelectPdf Library for .NET">Pdf Portfolio</a><br/>
                <a href="~/PdfResize" title="Pdf Resize/Scale PDF Pages - SelectPdf Library for .NET">Pdf Resize/Scale Content</a><br/>
                <a href="~/ExistingPdfHeadersAndFooters" title="SelectPdf Library for .NET - Existing Pdf Document Headers and Footers">Existing Pdf Headers and Footers</a><br/>


            </nav>
        </div>
        <div class="col2">
            <h3>Html to Pdf Converter</h3>
            <nav class="nav-single">
                <a href="~/HtmlToPdfConverter" title="SelectPdf Library for .NET - Html to Pdf Converter">Getting Started</a><br/>
                <a href="~/ConvertUrlToPdf" title="SelectPdf Library for .NET - Url to Pdf Converter">Convert Url to Pdf</a><br />
                <a href="~/ConvertHtmlCodeToPdf" title="SelectPdf Library for .NET - Convert from html code to pdf">Convert Html Code to Pdf</a><br/>
                <a href="~/PdfConverterProperties" title="SelectPdf Library for .NET - Setting Document Properties with Html to Pdf Converter">Pdf Document Properties</a><br/>
                <a href="~/PdfConverterViewerPreferences" title="SelectPdf Library for .NET - Setting Pdf Viewer Preferences for the Html to Pdf Converter">Pdf Viewer Preferences</a><br/>
                <a href="~/PdfConverterSecurity" title="SelectPdf Library for .NET - Setting Pdf Document Security with the Html to Pdf Converter">Pdf Security Settings</a><br/>
                <a href="~/ConvertMultipleUrlsToPdf" title="SelectPdf Library for .NET - Convert Multiple Urls into the same Pdf Document">Multiple Urls to one Pdf Document</a><br/>
                <a href="~/ConversionDelay" title="SelectPdf Library for .NET - Conversion Delay with Html to Pdf Converter">Conversion Delay</a><br/>
                <a href="~/HtmlToPdfHeadersAndFooters" title="SelectPdf Library for .NET - Pdf Headers and Footers with Html to Pdf Converter">Headers and Footers</a><br/>
                <a href="~/PageBreaks" title="SelectPdf Library for .NET - Control Page Breaks with Html to Pdf Converter">Page Breaks</a><br/>
                <a href="~/AutomaticBookmarks" title="SelectPdf Library for .NET - Automatic Bookmarks with Html to Pdf Converter">Automatic Bookmarks</a><br/>
                <a href="~/HttpHeaders" title="SelectPdf Library for .NET - Set HTTP Headers with Html to Pdf Converter">HTTP Headers</a><br/>
                <a href="~/HttpCookies" title="SelectPdf Library for .NET - Set HTTP Cookies with Html to Pdf Converter">HTTP Cookies</a><br/>
                <a href="~/HttpPostRequest" title="SelectPdf Library for .NET - Set parameters with a POST request with Html to Pdf Converter">HTTP POST Request</a><br />
                <a href="~/ConvertFromJs" title="SelectPdf Library for .NET - Start html to pdf conversion with a javascript call">Start Conversion from Javascript</a><br/>
                <a href="~/MediaTypes" title="SelectPdf Library for .NET - Use media types with Html to Pdf Converter">Media Types</a><br/>
                <a href="~/HtmlToPdfConverterLinks" title="SelectPdf Library for .NET - Pdf Internal and External Links - Html to Pdf Converter">Internal and External Links</a><br/>
                <a href="~/PartialConversion" title="SelectPdf Library for .NET - Convert a Specific Section from the Web Page to Pdf">Partial Page Conversion</a><br/>
                <a href="~/ExcludeFromConversion" title="SelectPdf Library for .NET - Exclude Specific Sections from the Web Page when Converted to Pdf">Exclude Elements from Conversion</a><br/>
                <a href="~/CurrentWebPageToPdf" title="SelectPdf Library for .NET - Convert Current WebPage to Pdf">Current WebPage to Pdf in Asp.Net</a><br/>
                <a href="~/ConvertAndEmail" title="SelectPdf Library for .NET - Convert WebPage to Pdf and Email as Attachment">Convert to Pdf and Email as Attachment</a><br />
                <a href="~/WebElementsLocation" title="SelectPdf Library for .NET - Get Web Elements Location in PDF">Get Web Elements Location in PDF</a><br />
                <a href="~/TableOfContents" title="SelectPdf Library for .NET - Generate Table of Contents">Generate Table of Contents</a><br />
            </nav>
            <h3>Html to Image Converter</h3>
            <nav class="nav-single">
                <a href="~/ConvertUrlToImage" title="SelectPdf Library for .NET - Convert from url to image">Convert Url to Image</a><br />
                <a href="~/ConvertHtmlCodeToImage" title="SelectPdf Library for .NET - Convert from html code to image">Convert Html Code to Image</a><br />
            </nav>
            <h3>Pdf To Text Converter</h3>
            <nav class="nav-single">
                <a href="~/PdfToTextConverter" title="SelectPdf Library for .NET - Pdf To Text Converter">Extract Text from PDF</a><br />
                <a href="~/SearchPdfText" title="SelectPdf Library for .NET - Search for Text in PDF">Search for Text in PDF</a><br />
            </nav>
            <h3>Pdf To Image Converter</h3>
            <nav class="nav-single">
                <a href="~/PdfToImageConverter" title="SelectPdf Library for .NET - Pdf Rasterizer - Pdf To Image Converter">Convert PDF Pages to Images</a><br />
            </nav>
        </div>

        <div class="col-clear"><br/></div>
        <div>
            <p>
                SelectPdf Library for .NET free trial archive contains ready to use samples coded with C# and VB.NET for Windows Forms, ASP.NET, ASP.NET MVC with Razor and ASPX engines.
            </p>
        </div>
    </div>
    <!-- .entry-content -->
</article>
<!-- #post -->
